(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     13881,        309]
NotebookOptionsPosition[     13046,        287]
NotebookOutlinePosition[     13514,        305]
CellTagsIndexPosition[     13471,        302]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8202311176947727`*^9, 3.8202311208363905`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Alpha]", "1"], "=", 
   RowBox[{"{", 
    RowBox[{
    "d", ",", "c", ",", "a", ",", "c", ",", "b", ",", "c", ",", "a", ",", "d",
      ",", "c", ",", "b", ",", "a", ",", "d", ",", "b", ",", "b", ",", "a", 
     ",", "a", ",", "c", ",", "d"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", 
   SubscriptBox["\[Alpha]", "1"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[Alpha]", "2"], "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "b", ",", "b", ",", "a", ",", "a", ",", "a", ",", "d", ",", "c",
      ",", "d", ",", "a", ",", "c", ",", "c", ",", "c", ",", "a", ",", "d", 
     ",", "b", ",", "a", ",", "a"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A", ",", 
   SubscriptBox["\[Alpha]", "2"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8202311310330486`*^9, 3.820231265805186*^9}, {
   3.820231862894062*^9, 3.8202319081620555`*^9}, {3.8202320078918257`*^9, 
   3.820232010904651*^9}, 3.8202321800940557`*^9, {3.8202331332510276`*^9, 
   3.8202331336190195`*^9}, {3.820310676202611*^9, 3.820310730815018*^9}, {
   3.820313080338834*^9, 3.8203130857585125`*^9}, {3.8203135274070387`*^9, 
   3.820313622393606*^9}, {3.8203137203789926`*^9, 3.8203138713359356`*^9}, {
   3.8203139618671274`*^9, 3.820314028995368*^9}, {3.8203140618640323`*^9, 
   3.8203140912089596`*^9}, {3.8203141490563393`*^9, 
   3.8203141767049627`*^9}, {3.82031659456876*^9, 3.8203167006102066`*^9}, {
   3.820316854244767*^9, 3.8203169370201435`*^9}, {3.8203171727548833`*^9, 
   3.8203171921060047`*^9}, {3.8203179402214584`*^9, 3.8203179520553885`*^9}},
 CellLabel->
  "In[274]:=",ExpressionUUID->"7e877a78-b0d2-431a-b2e6-ca4b1233d0fe"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5880431180062965, 0.4570598695278279}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006203130171525, 0.48233345234245834`}}], 
   CircleBox[{0.740709800600417, 0.7912774043431234}, 0.3533280604838605, {
    4.216025938104314, 5.263123489301952}], 
   InsetBox["\<\"d,b,a\"\>", {0.7503140998925111, 0.4380799018598889}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6002907396856809, 0.026667774255220763`}, {
    0.5749997125001437, 4.999997500476638*^-7}, {
    0.6107397630478366, -0.008568534902992638}}], 
   CircleBox[{0.41943899367211657, 0.5805610063278834}, 0.6010404634883338, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"d,b,a\"\>", {0.8443962790685449, 0.1555187209740968}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"d,c,a\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.9059760489790732, 0.4625820305288293}, {0.9404980292291427, 
    0.45434316565276317`}, {0.9161019728230874, 0.42856568620529134`}}], 
   CircleBox[{1.0850199370165228, -0.08501993701652255}, 0.5583897727855898, {
    1.8325957145940464`, 2.879793265790644}], 
   InsetBox["\<\"c,b\"\>", {0.6901787421346166, 0.3098212578653833}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.45981800969266073, -0.09700680241028384}, 
    0.03749998125000937, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{0.4217819390988849, -0.05982763869834785}, {
    0.45492327993177367`, -0.05982763869834781}, {
    0.43835260951532934`, -0.08852888177510804}}], 
   InsetBox["\<\"c\"\>", {0.42517254454622005, -0.08265618087190374}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5095829239822125, 0.10254742081936055`}, {
    0.5097892095218991, 0.0743588274236221}, {0.5340981047297155, 
    0.08863177263929331}}], 
   CircleBox[{0.2087225956565094, 0.259290199399593}, 0.35332806048386056, {
    5.732250798262844, 6.779548349459441}], 
   InsetBox["\<\"d\"\>", {0.5619191359438289, 0.24965058040533092}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"c,b\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"b,a\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.8203165496854687`*^9, 3.820317086221817*^9, 
   3.820317198942842*^9, {3.820317397823674*^9, 3.820317412129575*^9}, 
   3.8203179527113996`*^9, {3.8203179887448025`*^9, 3.8203180175135098`*^9}, 
   3.8203229428818254`*^9},
 CellLabel->
  "Out[275]=",ExpressionUUID->"e8534b61-9c41-48a5-acd7-7eeaeb59e8e3"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.8203165496854687`*^9, 3.820317086221817*^9, 
   3.820317198942842*^9, {3.820317397823674*^9, 3.820317412129575*^9}, 
   3.8203179527113996`*^9, {3.8203179887448025`*^9, 3.8203180175135098`*^9}, 
   3.8203229428818254`*^9},
 CellLabel->
  "Out[277]=",ExpressionUUID->"e76713ae-280a-423d-b742-0039e668b57f"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8202313061004095`*^9, {3.820231898021783*^9, 3.8202319086076612`*^9}, 
   3.8202320116668077`*^9, 3.820232180498257*^9, 3.820232816892231*^9, 
   3.8202331345856705`*^9, 3.820310205737632*^9, {3.8203107049841113`*^9, 
   3.820310734572607*^9}, 3.8203130471913447`*^9, 3.8203137283004627`*^9, {
   3.8203138406118793`*^9, 3.8203138716639585`*^9}, {3.82031396241707*^9, 
   3.820314029437173*^9}, {3.820314062982041*^9, 3.820314095377266*^9}, 
   3.8203141497744184`*^9, 3.820314180752367*^9, {3.82031468360934*^9, 
   3.8203147131801505`*^9}, 3.8203165496854687`*^9, 3.820317086221817*^9, 
   3.820317198942842*^9, {3.820317397823674*^9, 3.820317412129575*^9}, 
   3.8203179527113996`*^9, {3.8203179887448025`*^9, 3.8203180175135098`*^9}, 
   3.8203229428818254`*^9},
 CellLabel->
  "Out[279]=",ExpressionUUID->"c43ec3fb-e1c8-41ff-ba04-1479f5db134d"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-4.714285714285779, Automatic}, {
  Automatic, -4.714285714285714}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a8572f35-c064-47f4-a398-4a1b85c180ca"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 42, "Input",ExpressionUUID->"798f5459-a36d-414a-8cae-973c8a8959aa"],
Cell[CellGroupData[{
Cell[785, 27, 5117, 130, 302, "Input",ExpressionUUID->"7e877a78-b0d2-431a-b2e6-ca4b1233d0fe"],
Cell[5905, 159, 5309, 93, 564, "Output",ExpressionUUID->"e8534b61-9c41-48a5-acd7-7eeaeb59e8e3"],
Cell[11217, 254, 905, 14, 48, "Output",ExpressionUUID->"e76713ae-280a-423d-b742-0039e668b57f"],
Cell[12125, 270, 905, 14, 64, "Output",ExpressionUUID->"c43ec3fb-e1c8-41ff-ba04-1479f5db134d"]
}, Open  ]]
}
]
*)

